Get event processing status
curl --request GET \
--url https://api.swapnice.com/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"event_id": "<string>",
"customer_id": "<string>",
"status": "accepted",
"accepted_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Events
Get event status
Read processing status for an accepted event.
GET
/
v1
/
events
/
{event_id}
Get event processing status
curl --request GET \
--url https://api.swapnice.com/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"event_id": "<string>",
"customer_id": "<string>",
"status": "accepted",
"accepted_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Read processing status for an accepted event.
Statuses:
accepted, processing, processed, failed, rejected. Wait for processed before expecting profile facts.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.
Path Parameters
Response
Event status and durable acceptance metadata.
⌘I